RevokeDeviceClient
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalDevice.RevokeDeviceClient(ctx, operations.C1APIIamV1PersonalDeviceServiceRevokeDeviceClientRequest{
DeviceID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.PersonalDeviceServiceRevokeDeviceClientResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/iam/personal_devices/{device_id}/clients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/personal_devices/{device_id}/clients/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/personal_devices/{device_id}/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Personal Device
Revoke Device Client
RevokeDeviceClient revokes a single app client on a device: it removes that client, leaving the device and its other clients intact.
DELETE
/
api
/
v1
/
iam
/
personal_devices
/
{device_id}
/
clients
/
{id}
RevokeDeviceClient
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.PersonalDevice.RevokeDeviceClient(ctx, operations.C1APIIamV1PersonalDeviceServiceRevokeDeviceClientRequest{
DeviceID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.PersonalDeviceServiceRevokeDeviceClientResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The device identity the client belongs to.
The human-readable ID of the client to revoke (e.g., blue-whale-12345).
Body
application/json
The PersonalDeviceServiceRevokeDeviceClientRequest message.
Response
200 - application/json
Successful response
The PersonalDeviceServiceRevokeDeviceClientResponse message.
Was this page helpful?
⌘I